Community Forums

ATutor Support

not installing with established PHP7


You must be signed-in to post.

AuthorSubject
 
Page: 1
kipim

Avatar for kipim
Subject: not installing with established PHP7Quote this post in your reply
PHP7 don`t use mysql librery, error install (don`t view mysql)
Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Message has a deprecated constructor in J:\OpenServer\domains\atutor1\include\classes\Message\Message.class.php on line 20

Warning: Cannot modify header information - headers already sent by (output started at J:\OpenServer\domains\atutor1\include\classes\Message\Message.class.php:20) in J:\OpenServer\domains\atutor1\install\index.php on line 22

Warning: Cannot modify header information - headers already sent by (output started at J:\OpenServer\domains\atutor1\include\classes\Message\Message.class.php:20) in J:\OpenServer\domains\atutor1\install\index.php on line 23


Things to describe:
Operating system ATutor is installed on - win 7
ATutor version - 2.2.2 (night build )
Patch #s applied - no
ATutor theme name -
PHP version - 7.0.8
MySQL version - 5.0.12
Webserver & version - apache 2 with PHP7x64 x64
Copies of error messages -
Changes to default settings - no
Web browser being used - FF, Chrome
Posted: 2017-02-17 06:55:03
greg

Avatar for greg
Subject: Re: not installing with established PHP7Quote this post in your reply
Thanks for the report. Its been added to the tracker
www.atutor.ca/atutor/mantis/view.php?id=5759

For now add ~E_DEPRECATED to line 18 of include/vitals.inc.php

define('AT_ERROR_REPORTING & ~E_DEPRECATED', E_ERROR | E_WARNING | E_PARSE);
Posted: 2017-02-17 10:40:45
 
Page: 1

You must be signed-in to post.

Related Articles